fusialDocs

List signature requests

GET
/signatures
x-api-key<token>

Your workspace API key. Create and manage keys in your Fusial workspace settings. Keys carry scopes of the form resource:action.

In: header

Query Parameters

status?array<>

Filter by status. Repeat for multiple values.

contractId?string

Filter to one contract's requests.

counterpartyId?string

Filter to requests on contracts with this counterparty.

signerEmail?string

Match requests with a signatory at this address, including one since replaced on the request.

sort?string

Sorting by completedAt puts open requests (no completion date) last in either direction.

dir?string
page?integer
pageSize?integer

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/signatures"
{
  "data": [
    {
      "id": "string",
      "contractId": "string",
      "contract": {
        "id": "string",
        "title": "string",
        "status": "DRAFT"
      },
      "status": "DRAFT",
      "documentVersionId": "string",
      "documentVersion": {
        "id": "string",
        "versionNumber": 0,
        "fileName": "string"
      },
      "signedVersionId": "string",
      "signedVersion": {
        "id": "string",
        "versionNumber": 0,
        "fileName": "string"
      },
      "documentSnapshotHash": "string",
      "pdfSha256": "string",
      "hasUnsignedPdf": true,
      "createdById": "string",
      "completedAt": "2019-08-24T14:15:22Z",
      "createdAt": "2019-08-24T14:15:22Z",
      "updatedAt": "2019-08-24T14:15:22Z",
      "progress": {
        "totalSigners": 0,
        "signedCount": 0,
        "declinedCount": 0,
        "awaitingCount": 0,
        "awaitingSigner": {
          "id": "string",
          "name": "string",
          "email": "string",
          "party": "ORG_USER"
        },
        "lastSignedAt": "2019-08-24T14:15:22Z"
      },
      "signers": [
        {
          "id": "string",
          "envelopeId": "string",
          "party": "ORG_USER",
          "userId": "string",
          "counterpartyContactId": "string",
          "name": "string",
          "email": "string",
          "orderIndex": 0,
          "status": "PENDING",
          "expiresAt": "2019-08-24T14:15:22Z",
          "viewedAt": "2019-08-24T14:15:22Z",
          "consentAt": "2019-08-24T14:15:22Z",
          "signedAt": "2019-08-24T14:15:22Z",
          "declinedAt": "2019-08-24T14:15:22Z",
          "signedName": "string",
          "signedIp": "string",
          "signedUserAgent": "string"
        }
      ],
      "fields": [
        {
          "id": "string",
          "envelopeId": "string",
          "signerId": "string",
          "type": "SIGNATURE",
          "pageIndex": 0,
          "xPct": 0,
          "yPct": 0,
          "wPct": 0,
          "hPct": 0,
          "required": true,
          "filled": true,
          "value": "string"
        }
      ]
    }
  ],
  "page": 0,
  "pageSize": 0,
  "total": 0,
  "pageCount": 0
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}
{
  "error": {
    "code": "validation_error",
    "message": "string",
    "details": {
      "issues": [
        {
          "path": "string",
          "message": "string"
        }
      ]
    }
  }
}
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null
  }
}